LinuxQuestions.org
Review your favorite Linux distribution.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices


Reply
  Search this Thread
Old 02-19-2014, 04:12 AM   #1
starchon
LQ Newbie
 
Registered: Jan 2012
Posts: 4

Rep: Reputation: Disabled
Zabbix libsnmp15 install error


Hi,

Many thanks in advance for reading this.

Im trying to install Zabbix 2.2 on Ubuntu Server 13.04 64 bit, but keep getting error messages when installing the zabbix-server-mysql
package.

Specific error message I am getting is:

Code:
ubuntu@watch1:~$ sudo apt-get install zabbix-server-mysql
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 zabbix-server-mysql : Depends: libsnmp15 (>= 5.4.3~dfsg) but it is not installable
E: Unable to correct problems, you have held broken packages.
Initially used default /etc/apt/sources.list and then uncommented everything out of desperation (I read this may be an issue with the sources).

Any help much appreciated - much googling on this has only turned up bug reports, but no solutions that I could tell.
 
Old 02-19-2014, 09:12 AM   #2
TB0ne
LQ Guru
 
Registered: Jul 2003
Location: Birmingham, Alabama
Distribution: SuSE, RedHat, Slack,CentOS
Posts: 20,530

Rep: Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017Reputation: 5017
Quote:
Originally Posted by starchon View Post
Hi,
Im trying to install Zabbix 2.2 on Ubuntu Server 13.04 64 bit, but keep getting error messages when installing the zabbix-server-mysql package. Specific error message I am getting is:

Code:
ubuntu@watch1:~$ sudo apt-get install zabbix-server-mysql
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 zabbix-server-mysql : Depends: libsnmp15 (>= 5.4.3~dfsg) but it is not installable
E: Unable to correct problems, you have held broken packages.
Initially used default /etc/apt/sources.list and then uncommented everything out of desperation (I read this may be an issue with the sources). Any help much appreciated - much googling on this has only turned up bug reports, but no solutions that I could tell.
It's clearly telling you that you need to install the libsnmp15 package...and putting that and "ubuntu 13.04" into Google pulls up as the VERY FIRST HIT:
http://www.ubuntuupdates.org/package...base/libsnmp15

..the link from the Ubuntu site, that has that package. You need to install the net-snmp package, as well as the net-snmp-devel package.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Zabbix on CentOS 5.5, PHP tmezone error 5outh Linux - Software 1 08-21-2011 03:10 AM
Zabbix install error " Installation failed. Aborting package creation" nhat2nhat2 Linux - Software 2 06-17-2011 11:02 PM
How to install Zabbix on CentOS !!! ducloiag Linux - Newbie 15 11-03-2010 04:24 AM
zabbix error!! hasan_sust Linux - Newbie 3 04-30-2009 07:12 AM
mysql.h error in Ubuntu (zabbix install) khilari Linux - Networking 2 07-06-2006 10:31 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Server

All times are GMT -5. The time now is 02:56 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration